Bug 456767 - loading libvnc.so fails due to missing libvncModuleData data object
loading libvnc.so fails due to missing libvncModuleData data object
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-26 15:00 EDT by James Ralston
Modified: 2013-04-30 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-30 06:21:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Ralston 2008-07-26 15:00:41 EDT
0:vnc-server-4.1.2-31.fc9.i386
0:xorg-x11-server-Xorg-1.4.99.906-1.fc9.i386

I want to be able to run an X server on a physical display, but with the ability
to connect to it via vncviewer.

I configured my xorg.conf file to load the libvnc.so module:

Section "Module"
        Load        "libvnc"
EndSection

However, this fails.  From my Xorg.0.log file:

(II) LoadModule: "libvnc"
(II) Loading /usr/lib/xorg/modules/extensions//libvnc.so
(EE) LoadModule: Module libvnc does not have a libvncModuleData data object.
(II) UnloadModule: "libvnc"
(II) Unloading /usr/lib/xorg/modules/extensions//libvnc.so
(EE) Failed to load module "libvnc" (invalid module, 0)
(II) LoadModule: "extmod"

I found this Debian bug:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=444697

First, if libvnc.so is truly incompatible with the X server, it shouldn't be
included in the vnc-server package.

Second, if this is indeed the case... how can I connect to and manipulate an X
server running on a physical display remotely via VNC?

(The Debian bug references the "xf4vnc" project, but that doesn't seem to be
available for Fedora...)
Comment 1 Adam Tkac 2008-07-30 06:21:37 EDT
You have to specify "Load "vnc" ", not libvnc. With "vnc" all works as expected.

Note You need to log in before you can comment on or make changes to this bug.